Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class Pearson5Gen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.Pearson5Gen

    public class Pearson5Gen

extends RandomVariateGen

This class implements random variate generators for the Pearson type V distribution with shape parameter α > 0 and scale parameter β > 0. The density function of this distribution is

f (x) = (x-(α+1)exp-β/x)/(β-αΓ(α)) for x > 0,

and f (x) = 0 otherwise, where Γ is the gamma function.

Constructor Summary
`Pearson5Gen(RandomStream s, double alpha)` Creates a Pearson5 random variate generator with parameters α = `alpha` and β = 1, using stream `s`.
`Pearson5Gen(RandomStream s, double alpha, double beta)` Creates a Pearson5 random variate generator with parameters α = `alpha` and β = `beta`, using stream `s`.
`Pearson5Gen(RandomStream s, Pearson5Dist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`double` | `getAlpha()` Returns the parameter α of this object.
`double` | `getBeta()` Returns the parameter β of this object.
`static double` | `nextDouble(RandomStream s, double alpha, double beta)` Generates a variate from the Pearson V distribution with shape parameter α > 0 and scale parameter β > 0.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pearson5Gen

    public Pearson5Gen(RandomStream s,
                       double alpha,
                       double beta)

  Creates a Pearson5 random variate generator with parameters α = `alpha` and β = `beta`, using stream `s`.

### Pearson5Gen

    public Pearson5Gen(RandomStream s,
                       double alpha)

  Creates a Pearson5 random variate generator with parameters α = `alpha` and β = 1, using stream `s`.

### Pearson5Gen

    public Pearson5Gen(RandomStream s,
                       Pearson5Dist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double alpha,
                                    double beta)

  Generates a variate from the Pearson V distribution with shape parameter α > 0 and scale parameter β > 0.

### getAlpha

    public double getAlpha()

  Returns the parameter α of this object.

### getBeta

    public double getBeta()

  Returns the parameter β of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.